function setupDisplay()
	display = {}
	display.deskWidth, display.deskHeight = love.window.getDesktopDimensions()
	display.fullscreen = love.window.getFullscreen()
	display.width = love.window.getWidth()
	display.height = love.window.getHeight()
	display.title = love.window.getTitle()
	display.fps = love.timer.getFPS()
	display.centerOfScreen = love.graphics.getWidth()/2
end

function setupSettings()

	g = love.graphics
	k = love.keyboard
	fs = love.filesystem

	defaultDir = "LOVEPong"
	
	settings = {}

	settings.p1upkey = "w"
	settings.p1downkey = "s"
	settings.p2upkey = "up"
	settings.p2downkey = "down"

	settings.volume = 1
end

function setupFonts()
	fonts = {}

    fonts.main = love.graphics.newFont("fonts/UpheavalPro.ttf",50)
end

function setupSounds()
	songs = {}
	songs.despair = love.audio.newSource("sounds/songs/Despair.mp3")

	effects = {}
	effects.buttonClick = love.audio.newSource("sounds/effects/click.mp3")
	effects.buttonRelease = love.audio.newSource("sounds/effects/release.mp3")
	love.audio.setVolume(settings.volume)
	
end

function setupSounds()
	blip1 = love.audio.newSource("sounds/p1.wav")
	blip2 = love.audio.newSource("sounds/p2.wav")
	point = love.audio.newSource("sounds/die.wav")
end

function setupHUDs()
	hud = {}
	hud.x = 0
	hud.y = 0
end

function updateHUDs(dt)
	hud.x = camera.x
	hud.y = camera.y
end